tuxguitar (1.2-26) unstable; urgency=medium

  * Update Maintainer to orphan the package (Debian bug #1013777)

 -- tony mancill <tmancill@debian.org>  Sat, 25 Jun 2022 08:26:34 -0700

tuxguitar (1.2-25) unstable; urgency=medium

  * Team upload.

  [ Sebastien Bacher ]
  * debian/patches/07-git_new_libfluidsynth.patch:
    - backport an upstream commit to build with the new libfluidsynth
      (Closes: #946848)

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.4.1.
  * Remove dpkg-dev from Build-Depends.
    dpkg-dev is build-essential, and the previously required version is
    satisfied even in oldoldstable.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Use secure URI in debian/watch.
  * Set bindnow linker flag in debian/rules.
  * Use HTTPS for two URLs in debian/copyright.
  * Update years of packaging copyright.
  * Don't install anything into /usr/share/tuxguitar/doc.
  * Fix day-of-week for changelog entries 1.1-1ubuntu1, 0.9.99~1.0rc3-1.

 -- gregor herrmann <gregoa@debian.org>  Mon, 16 Dec 2019 20:27:02 +0100

tuxguitar (1.2-24) unstable; urgency=medium

  * Team upload.
  * Build with the DH sequencer
  * No longer call update-{mime,desktop}-database in the maintainer scripts
    (Closes: #860845)
  * Standards-Version updated to 4.4.0
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs
  * Replaced the priority extra with optional
  * Removed the Debian menu file

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 11 Sep 2019 23:33:26 +0200

tuxguitar (1.2-23) unstable; urgency=medium

  * Team upload.
  * Transition to SWT 4
  * Simplified the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 19 Oct 2017 22:48:13 +0200

tuxguitar (1.2-22) unstable; urgency=medium

  * Team upload.
  * Removed the build dependency on gcj-jdk
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs
  * Updated debian/watch to track the latest releases on SourceForge

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 08 Jul 2016 12:38:27 +0200

tuxguitar (1.2-21) unstable; urgency=medium

  * Team upload.
  * Move "libjack-jackd2-dev | libjack-dev" from Depends to Build-Depends.
    This fixes a build failure detected by the reproducible build project.
  * Use dpkg-parsechangelog's --show-field in debian/rules.
    Bump versioned build-dep on dpkg-dev.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 Sep 2015 18:22:36 +0200

tuxguitar (1.2-20) unstable; urgency=medium

  * Drop dependency on xulrunner (Closes: #751563)
  * Update debian/copyright for debian/* files.

 -- tony mancill <tmancill@debian.org>  Sat, 14 Jun 2014 10:01:55 -0700

tuxguitar (1.2-19) unstable; urgency=medium

  * Team upload.
  * Update list of alternative xulrunner dependencies.
  * Refresh 03-CVE-2010-3385.patch (offset).
  * Use debhelper (compatibility level) 9.
  * Enable hardening for libraries.
    Use /usr/share/dpkg/buildflags.mk in debian/rules; add patch
    04-hardening-cppflags.patch to pass CPPFLAGS; build depend on new enough
    dpkg-dev.
  * Fix minified jQuery issue.
    Binary package: symlink to packaged version and depend on it.
    Source package: add unminified .js source.

 -- gregor herrmann <gregoa@debian.org>  Sat, 03 May 2014 00:42:24 +0200

tuxguitar (1.2-18) unstable; urgency=medium

  * Team upload.
  * Update list of alternative xulrunner dependencies.

 -- gregor herrmann <gregoa@debian.org>  Thu, 20 Mar 2014 22:55:24 +0100

tuxguitar (1.2-17) unstable; urgency=medium

  * Team upload.
  * Update list of alternative xulrunner-* dependencies.
  * Remove debian/stamp-patched from source package.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Tue, 17 Dec 2013 16:57:29 +0100

tuxguitar (1.2-16) unstable; urgency=low

  * Team upload.
  * Update list of xulrunner-* versions in Depends to what we have in
    Debian.
    Thanks to Andreas Beckmann for the bug report. (Closes: #726730)
  * Use canonical URLs for the Vcs-* fields.
  * debian/rules: don't set DH_VERBOSE.
    Makes the build output more readable.

 -- gregor herrmann <gregoa@debian.org>  Fri, 18 Oct 2013 20:59:10 +0200

tuxguitar (1.2-15) unstable; urgency=low

  * Update list of possible xulrunner dependencies (Closes: #712677)
  * Add "file" to Depends; it is used in /usr/bin/tuxguitar.
  * Allow java2-runtime (and thus openjdk-7-jre) to satisfy depends
    for tuxguitar-jsa.  Remove sun JREs.

 -- tony mancill <tmancill@debian.org>  Tue, 18 Jun 2013 21:37:33 -0700

tuxguitar (1.2-14) experimental; urgency=low

  * Team upload.

  [ Philippe Coval ]
  * Supports also jack2 (Closes: #608041)
  * fix: maintainers email

  [ gregor herrmann ]
  * Make Ubuntu diff obsolete:
    - debian/{control,rules}: don't insert xulrunner dependency on Ubuntu and
      derivatives
    - debian/rules: remove mozilla check from tuxguitar.sh during build on
      Ubuntu and derivates (LP: 1123416)
  * Set Standards-Version to 3.9.4 (no changes).
  * Remove build dependency on quilt (not needed with source format '3.0
    (quilt)').
  * Remove duplicated sections from binary packages in debian/control.

 -- gregor herrmann <gregoa@debian.org>  Tue, 12 Mar 2013 21:03:54 +0100

tuxguitar (1.2-13) unstable; urgency=low

  [ Philippe Coval ]
  * upgrade xulrunner (Closes: #661216)
  * open to comaintenance in pkg-java team

  [ tony mancill ]
  * Convert d/copyright to machine readable format.
  * Update Standards-Version to 3.9.3.

 -- tony mancill <tmancill@debian.org>  Sat, 25 Feb 2012 10:46:31 -0800

tuxguitar (1.2-12) unstable; urgency=low

  * Add xulrunner-8.0 and 9.0 to list of dependencies  (Closes: #647542)
  * Modify debian/rules for BuildArchTarget release goal.

 -- tony mancill <tmancill@debian.org>  Mon, 21 Nov 2011 16:25:53 -0800

tuxguitar (1.2-11) unstable; urgency=low

  * Reorder build depends to address kfreebsd build problem.

 -- tony mancill <tmancill@debian.org>  Mon, 31 Oct 2011 07:33:41 -0700

tuxguitar (1.2-10) unstable; urgency=low

  * debian/control:
    - Add xulrunner-7.0 as an alternate dependency. (Closes: #644921)
  * debian/patches/01-tuxguitar-rzr.patch: Handle xulrunner-7.0.
  * debian/patches/03-CVE-2010-3385.patch: Refresh/rediff.
    (Thanks to Daniel T Chen for the patch.)

 -- tony mancill <tmancill@debian.org>  Sun, 16 Oct 2011 08:43:16 -0700

tuxguitar (1.2-9.1) unstable; urgency=low

  * Non-maintainer upload, with co-maintainer's permission.
  * Fix "depends on obsolete xulrunner-1.9.1": update Depends and
    01-tuxguitar-rzr.patch (closes: #637372).

 -- gregor herrmann <gregoa@debian.org>  Thu, 11 Aug 2011 22:16:07 +0200

tuxguitar (1.2-9) unstable; urgency=low

  * Update debian/control
    - build/depend on swt-gtk-3 (3.7) instead of 3.6.
    - replace build-dep on gcj with gcj-jdk
    - replace dependency on libswt-mozilla-gtk-3-jni
      with libswt-webkit-gtk-3-jni
  * Update debian/patches/01-tuxguitar-rzr.patch for classpath changes

 -- tony mancill <tmancill@debian.org>  Tue, 26 Jul 2011 22:59:03 -0700

tuxguitar (1.2-8) unstable; urgency=low

  * Update depend on swt-gtk 3.6 (Closes: #621864)
  * Bump Standards-Version to 3.9.2.

 -- tony mancill <tmancill@debian.org>  Sat, 09 Apr 2011 23:08:37 -0700

tuxguitar (1.2-7) unstable; urgency=medium

  * Apply patch for CVE-2010-3385 (Closes: #598307)
    Thanks to Etienne Millon

 -- tony mancill <tmancill@debian.org>  Tue, 12 Oct 2010 06:32:31 -0700

tuxguitar (1.2-6) unstable; urgency=low

  [ Philippe Coval ]
  * Vcs-Browser points to web version

  [ tony mancill ]
  * remove audio/midi from mime types in desktop file (closes: #592059)

 -- tony mancill <tmancill@debian.org>  Sun, 22 Aug 2010 21:56:54 -0700

tuxguitar (1.2-5) unstable; urgency=low

  * debian/tuxguitar.install:
    - Add tuxguitar-community.jar to plugins (Closes: #586968)

 -- tony mancill <tmancill@debian.org>  Tue, 06 Jul 2010 22:10:19 -0700

tuxguitar (1.2-4) unstable; urgency=low

  * Address bashism in /usr/bin/tuxguitar (Closes: #581142)
    (Thank you to Raphael Geissert)
  * Switch to dpkg-source 3.0 (quilt) format
    - remove debian/README.source
    - remove patch-related targets in debian/rules
    - remove build-dep on quilt
  * debian/compat - upgrade to debhelper 7
  * Remove extraneous LICENSE file.

 -- tony mancill <tmancill@debian.org>  Mon, 17 May 2010 22:22:45 -0700

tuxguitar (1.2-3) unstable; urgency=low

  * Modify tuxguitar.sh to find swt-gtk-3.5.1.jar (Closes: #575898)

 -- tony mancill <tmancill@debian.org>  Tue, 04 May 2010 20:50:20 -0700

tuxguitar (1.2-2) unstable; urgency=low

  * Unbuild tuxguitar-gervill (Closes: #570556) :
    - since it depends on unpackaged component
  * Added jack plugin (Closes: #569999)
  * Merged upstream files in patch (Closes: #569910)

 -- Philippe Coval <rzr@gna.org>  Sun, 21 Feb 2010 22:51:26 +0100

tuxguitar (1.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Update swt-gtk dependency to 3.5 to fix FTBFS. (Closes: #564347)
    - Change XS-Vcs-* fields to Vcs-*.
    - Add ${misc:Depends}.
    - Bump Standards-Version to 3.8.4.
  * debian/rules: Don't install redundant LICENSE doc.

 -- nobled <nobled@dreamwidth.org>  Sun, 07 Feb 2010 01:40:52 +0000

tuxguitar (1.2-1) unstable; urgency=low

  * New upstream release (Closes: #510742)
  * Merged patch : tuxguitar_1.1-1ubuntu1.patch
  * Added Makefile : from upstream repo
  * debian/* :
    - Migrated to quilt
    - Updated standards

 -- Philippe Coval <rzr@gna.org>  Fri, 20 Nov 2009 16:14:19 +0100

tuxguitar (1.1-1.1) unstable; urgency=low

  * Non-maintainer upload for transition to xulrunner 1.9.1.
    (Closes: #548683)
  * debian/control: Depend on a xulrunner-1.9.1.
  * misc/tuxguitar.sh: Detect xulrunner 1.9.1.

 -- Mike Hommey <glandium@debian.org>  Sat, 10 Oct 2009 16:20:19 +0200

tuxguitar (1.1-1ubuntu1) karmic; urgency=low

  * Use Java Sound API and Gervill by default (LP: #311319)
  * Changed maintainer to MOTU developers
  * Depend on xulrunner 1.9.1 instead of 1.9 (LP: #424727)

 -- Teemu Heinämäki <teemu.heinamaki@gmail.com>  Sat, 05 Sep 2009 11:39:51 +0300

tuxguitar (1.1-1) unstable; urgency=low

  * New Upstream Release (Closes: #489859) (LP: #366476)
  * Merged patch : tuxguitar_1.0.dak-1ubuntu1.patch
  * debian/README.txt
    - suggests to install tuxguitar-jsa

 -- Philippe Coval <rzr@gna.org>  Sat, 25 Apr 2009 19:49:27 +0200

tuxguitar (1.0.dak-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable.
  * debian/control
    - Replace build dependency openjdk-6-jdk with default-jdk.
    - Remove unnecessary build dependencies gcj, java-gcj-compat-dev,
      sun-java5-jdk, icedtea-java7-jdk, libswt3.2-gtk-java.
    - Replace runtime dependency openjdk-6-jre with default-jre.
    - Remove unnecessary runtime java-gcj-compat, sun-java6-jre, sun-java5-jre,
      libswt3.2-gtk-java. Replaced java-virtual-machine with java2-runtime.
      (LP: #250137)
  * debian/rules
    - Set JAVA_HOME to the value corresponding to default-jdk.
  * misc/tuxguitar.sh
    - Ubuntu specific change for correct path of xulrunner-1.9 installation.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Tue, 13 Jan 2009 00:52:49 +0530

tuxguitar (1.0.dak-1) unstable; urgency=low

  [ Philippe Coval ]
  * debian/control ; debian/rules :
    - set to main since openjdk supports sound (Closes: #505612)
    - uses ${shlibs:Depends} vs hardcoded libs (Closes: #506883)
    - depends on at least xulrunner for browsing doc (Closes: #493557)

  [ Ben Hutchings ]
  * Move virtual packages to end of dependency alternations
  * Move OpenJDK dependencies to start of dependency alternations
  * Replace recommendation of Sun JVM with OpenJDK
  * Fix "2<" to "2>" in postinst and postrm
  * Avoid adding current directory to LD_LIBRARY_PATH

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 10 Dec 2008 03:15:10 +0000

tuxguitar (1.0-1ubuntu1) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Mon, 22 Sep 2008 03:34:37 +0200

tuxguitar (1.0-1) unstable; urgency=low

  * New upstream release (Closes: #481728) also (LP: #176979, #212207)

 -- Philippe Coval <rzr@users.sf.net>  Thu, 19 Jun 2008 00:30:30 +0200

tuxguitar (0.9.99~1.0rc4-1) unstable; urgency=low

  * New Upstream release (1.0-rc4 retitled to 0.9.99~1.0rc4)
  * Fixed plugin loading bug by hardcoding path (Closes: #479668)

 -- Philippe Coval <rzr@users.sf.net>  Sat, 17 May 2008 01:19:00 +0200

tuxguitar (0.9.99~1.0rc3-1) unstable; urgency=low

  * New Upstream release (1.0-rc3 retitled to 0.9.99~1.0rc3)
  * Updated startup script from upstream
  * debian/control now build with gcj by default not openjdk (Closes: #474410)

 -- Philippe Coval <rzr@users.sf.net>  Thu, 01 May 2008 12:16:00 +0200

tuxguitar (0.9.99~1.0rc2-2) unstable; urgency=low

  * ADD: Support compilers and jvm's based on classpath
  * FIX: arch vs indep for non i386 arch (closes: #474410)

 -- Philippe Coval <rzr@users.sf.net>  Wed, 16 Apr 2008 19:19:52 +0200

tuxguitar (0.9.99~1.0rc2-1) unstable; urgency=low

  * ADD: New Upstream release (1.0-rc2 retitled to 0.9.99~1.0rc2)
  * FIX: Only on sun-java6 supported (Closes: #466986)
  * FIX: Compile in 1.4 format (Closes: #466038)
  * ADD: plugins ALSA and OSS (natives JNI) (Closes: #439669)

 -- Philippe Coval <rzr@users.sf.net>  Mon, 17 Mar 2008 19:37:27 +0100

tuxguitar (0.9.1-4) unstable; urgency=low

  * Merged Ubuntu changes (closes: #457342)
  * Changed maintainer to myself
  * Added desktop and icon

 -- Philippe Coval <rzr@users.sf.net>  Fri, 25 Jan 2008 21:33:37 +0100

tuxguitar (0.9.1-3ubuntu1) hardy; urgency=low

  * Modified debian/control and GNUmakefile to make building work (LP: #176736)
  * changed mantainer to Ubuntu MOTU Developers.

 -- Teemu Heinamaki (Hippu) <teemu.heinamaki@gmail.com>  Sun, 16 Dec 2007 00:02:48 +0200

tuxguitar (0.9.1-3) unstable; urgency=low

  * Add generic wrapper script (closes: #434181)

 -- Philippe Coval <rzr@users.sf.net>  Mon, 23 Jul 2007 08:56:56 +0200

tuxguitar (0.9.1-2) unstable; urgency=low

  * Fix depend bug (closes: #427340)
  * Fix classpath (closes: #433821)
  * Fix makefile for faster build (sync upstream)

 -- Philippe Coval <rzr@users.sf.net>  Fri, 20 Jul 2007 00:20:17 +0200

tuxguitar (0.9.1-1) unstable; urgency=low

  * New upstream release
  * added support for java6 too (closes: #409543)
  * Fix swt bug (closes: #406122)

 -- Philippe Coval <rzr@users.sf.net>  Sun,  4 Feb 2007 01:41:23 +0100

tuxguitar (0.9-1) unstable; urgency=low

  * New upstream release

 -- Philippe Coval <rzr@users.sf.net>  Tue, 30 Jan 2007 19:05:13 +0100

tuxguitar (0.8dfsg-1) testing-proposed-updates; urgency=medium

  * removed janel-ant (closes: #405295)
  * use sun's javac path to compile
  * installed german locale (closes: #398972)

 -- Philippe Coval <rzr@users.sf.net>  Sat,  6 Jan 2007 12:17:31 +0100

tuxguitar (0.8.1-1) unstable; urgency=low

  * New upstream release (closes: #405295 , #398972)

 -- Philippe Coval <rzr@users.sf.net>  Wed,  3 Jan 2007 22:08:53 +0100

tuxguitar (0.8-3) unstable; urgency=low

  * classpath now includes swt-gtk-3.2.1 (closes: #397368)
  * removed unecessary dependency on libswt-gtk-3.2-jni (closes: #396591)
  * package architecture is now "all"

 -- Philippe Coval <rzr@users.sf.net>  Tue,  7 Nov 2006 21:40:45 +0100

tuxguitar (0.8-2) unstable; urgency=low

  * suppport command line arguments

 -- Philippe Coval <rzr@users.sf.net>  Sun,  3 Sep 2006 11:45:09 +0200

tuxguitar (0.8-1) unstable; urgency=low

  * New upstream release

 -- Philippe Coval <rzr@users.sf.net>  Mon, 28 Aug 2006 21:37:59 +0200

tuxguitar (0.7-1) unstable; urgency=low

  * New upstream release
  * updated from libswt-gtk-3.1-java to libswt-gtk-3.2-java

 -- Philippe Coval <rzr@users.sf.net>  Thu,  3 Aug 2006 22:19:50 +0200

tuxguitar (0.6-1) unstable; urgency=low

  * Initial release (Closes: #374287)

 -- Philippe Coval <rzr@users.sf.net>  Sat, 17 Jun 2006 13:19:36 +0200
